1 (edited by pinner 2017-01-13 17:17:28)

Topic: Installing Inproved Terminal

xterm is very basic and has no cut and paste facility.
I therefore decided to install an alternative with those features.
I finally decided on ROXterm.

Having downloaded and opened the compressed file, I tried to run roxterm.
It reports error while loading shared library libicule.so.51.

Trying to find this has aged me.
Any suggestions?

Re: Installing Inproved Terminal

Package icu4c provides libicule.so.

http://slackware.uk/absolute/absolute-c … CKAGES.TXT reads
PACKAGE NAME:  icu4c-56.1-i586-2.txz
PACKAGE LOCATION:  ./absolute/l
PACKAGE SIZE (compressed):  8015 K
PACKAGE SIZE (uncompressed):  34050 K
PACKAGE REQUIRED: 
PACKAGE CONFLICTS: 
PACKAGE SUGGESTS: 
PACKAGE DESCRIPTION:
icu4c: icu4c (International Components for Unicode)
icu4c:
icu4c: The International Components for Unicode (ICU) libraries provide
icu4c: robust and full-featured Unicode services on a wide variety of
icu4c: platforms.
icu4c:
icu4c: Homepage: http://www.icu-project.org/

ls /var/log/packages/ | grep icu4c
icu4c-56.1-i586-2

Roxterm package version from slackbuilds.org is out of date (version 2.9.7) so probably it requires icu4c-51
you need to build roxterm with the source package from https://sourceforge.net/projects/roxterm/ (latest version 3.3.2)
assumed that this version requires icu4c-56 which is installed on Absolute 14.2

on xterm
keyboard key combination Ctrl+Shift+c = copy
keyboard key combination Shift+Insert = paste

Re: Installing Inproved Terminal

Thank you for that.